Autor Thema: Update auf neue Version  (Gelesen 5425 mal)

Klopfa10

  • Newbie
  • Beiträge: 7
Update auf neue Version
« am: 10.08.2016 15:16:56 »
Hallo zusammen,

da im OTRS Patch-Level 11 ein Fehler behoben wurde, der mich stark interessiert, möchte ich gerne updaten.
Nun habe ich gesehen, dass KIX4OTRS bis zum Patch-Level 11 unterstützt wird.

Leider finde ich keine Anleitung für's Updaten.
Wie muss ich vorgehen, um KIX4OTRS ordnungsgemäß zu aktualisieren?
Einfach die alten Pakete deinstallieren und die neuen Pakete installieren?

Vielen Dank für eure Hilfe!

Danny Bochmann

  • Global Moderator
  • Beiträge: 442
Re: Update auf neue Version
« Antwort #1 am: 11.08.2016 09:31:49 »
Hallo Klopfa10,

nach dem Update des Frameworks können die Pakete ganz normal über den Befehl "sudo -u <WEBSERNUTZER> ./bin/otrs.Console.pl Admin::Package::Install <PFAD ZU OPM>" installiert werden.
Sollte zu diesem Zeitpunkt bereits eine ältere Version des jeweiligen Pakets installiert sein, wird die neue Version über die alte Version darüber Installiert.

Nach der Installation der neuen Pakete sollte der Cache gelöscht werden und die Config neu aufgebaut werden.
Dies erfolgt über die Befehle:
  • sudo -u <WEBSERNUTZER> ./bin/otrs.Console.pl Maint::Cache::Delete
  • sudo -u <WEBSERNUTZER> ./bin/otrs.Console.plMaint::Config::Rebuild
Viele Grüße
Danny

Klopfa10

  • Newbie
  • Beiträge: 7
Re: Update auf neue Version
« Antwort #2 am: 11.08.2016 10:19:39 »
Hi Danny,

danke für die Info.

Leider will es nicht so recht klappen.
Habe zuerst den KIXCore 5.0.5 instaliert  und anschließend KIX4OTRS 8.0.6 installiert und folgende Befehle ausgeführt:

~otrs/bin/otrs.Console.pl Maint::Cache::Delete
~otrs/bin/otrs.Console.pl Maint::Loader::CacheCleanup
~otrs/bin/otrs.Console.pl Maint::Config::Rebuild
~otrs/bin/otrs.SetPermissions.pl --web-group=www-data --otrs-user=otrs

Allerdings erhalte ich wieder Fehlermeldungen in der Paket-Verwaltung: Pakete nicht korrekt installiert -> Bitte erneut installieren

Wie soll ich nun weiter machen?
Habe auch versucht die Pakete nochmal zu installieren und die Befehle erneut ausgeführt. Leider wieder das gleiche...


Viele Grüße

Danny Bochmann

  • Global Moderator
  • Beiträge: 442
Re: Update auf neue Version
« Antwort #3 am: 11.08.2016 10:25:35 »
Hallo Klopfa10,

kannst du mir deinen Ablauf bezüglich des Updates beschreiben?
Bitte teile mir deine ist-Konfiguration sowie deine Soll-Konfiguration mit (Liste mit Installierten Paketen + Versionsnummern inklusive OTRS Frameworkversion).

Viele Grüße
Danny
 

Klopfa10

  • Newbie
  • Beiträge: 7
Re: Update auf neue Version
« Antwort #4 am: 11.08.2016 10:39:41 »
Welchen Ablauf meinst du genau?

Vor dem Update:
OTRS 5.0.10
KIXCore 5.0.4
KIX4OTTRS 8.0.4

Als ich das erste mal KIX4OTRS installiert habe, bekam ich auch diese Fehlermeldung, dass das Paket nicht richtig installiert wurde. Einzelne Dateien waren dann auch wie jetzt nicht installiert. Nach Recherche habe ich dann die Konsolen-Befehle durchgeführt um den Cache zu löschen und die Konfiguration neu aufzubauen.
Anschließend waren die Fehlermeldungen verschwunden und alle Pakete richtig installiert.

Nun habe ich gesehen, dass in der Patch-Version 5.0.11 ein Fehler behoben wurde (TicketGet: HTML-Body wird nun als Anhang mitgeschickt)
Aufgrund dessen möchte ich nun gerne die neue Version installieren.

Update:
1. Upgrade OTRS 5.0.10 auf 5.0.11
2. Installation KIXCore 5.0.5
3. Installation KIX4OTRS 8.0.6
4. Konsolenbefehle (1.Restart Apache2 2. Cache Delete, 3. CacheCleanup, 4.Config Rebuild, 5.Set Permissions, 6.Restart Apache2)

Ich habe Screenshots angehängt. Hier sehen Sie, welche Pakete installiert und welche nicht installiert wurden.
Ich hoffe diese Informationen helfen Ihnen weiter.

Danny Bochmann

  • Global Moderator
  • Beiträge: 442
Re: Update auf neue Version
« Antwort #5 am: 11.08.2016 11:05:47 »
Hallo Klopfa10,

ich habe die Installation jetzt einmal selber durchgeführt.
folgende Schritte habe ich durchgeführt:

  • mc /tmp/ (zum entpacken des neuen OTRS Releases)
  • chown -R www-data:www-data /opt/otrs50/
  • sudo -u www-data ./otrs.Console.pl Admin::Package::Install /home/dbochmann/Downloads/KIXCore-5.0.5.opm
  • sudo -u www-data ./otrs.Console.pl Admin::Package::Install /home/dbochmann/Downloads/KIX4OTRS-8.0.6.opm 
  • sudo -u www-data ./otrs.Console.pl Maint::Cache::Delete
  • sudo -u www-data ./otrs.Console.pl Maint::Loader::CacheCleanup
  • sudo -u www-data ./otrs.Console.pl Maint::Config::Rebuild
Nach diesen Schritten habe ich folgende korrekte Konstelation:
cat RELEASE
PRODUCT = OTRS
VERSION = 5.0.11
BUILDDATE = Wed Jun 22 22:10:20 CEST 2016
BUILDHOST = otrsbuild.otrs.com


sudo -u www-data ./otrs.Console.pl Admin::Package::List --show-deployment-info
Listing all installed packages...
+----------------------------------------------------------------------------+
| Name:        KIX4OTRS
| Version:     8.0.6
| Vendor:      c.a.p.e. IT GmbH
| URL:         http://www.cape-it.de/
| License:     GNU AFFERO GENERAL PUBLIC LICENSE Version 3, November 2007
| Description: KIX4OTRS - Extension package for OTRS (f.k.a. OTRS::CiCS).
| Pck. Status: OK
+----------------------------------------------------------------------------+
| Name:        KIXCore
| Version:     5.0.5
| Vendor:      c.a.p.e. IT GmbH
| URL:         http://www.cape-it.de/
| License:     GNU AFFERO GENERAL PUBLIC LICENSE Version 3, November 2007
| Description: KIXCore - Core package for KIX tsunami framework.
| Pck. Status: OK
+----------------------------------------------------------------------------+
Bitte führe die o.g. Schritte einmal durch und teste erneut.
Viele Grüße
Danny

Klopfa10

  • Newbie
  • Beiträge: 7
Re: Update auf neue Version
« Antwort #6 am: 11.08.2016 13:58:46 »
Hallo,

leider funktioniert das auch nicht.

Vielleicht sollte ich die Pakete einmal komplett deinstallieren und wieder installieren?
Vielleicht vorher noch eine config-Datei exportieren für die Einstellungen?

Ich hoffe wir kriegen das noch hin :)

Danny Bochmann

  • Global Moderator
  • Beiträge: 442
Re: Update auf neue Version
« Antwort #7 am: 11.08.2016 14:06:56 »
Hallo Klopfa10,

hast du nach dem Frameworkupdate ein "chown -R www-data:www-data /opt/otrs/" (wichtig hierbei ist das -R) durchgeführt?

Meiner Meinung nach sieht es so aus als als würden Berechtigungen Fehlen.
Solltest du die Rechte nach dem Frameworkupdate nicht gesetzt haben, hat der Webservernutzer (abhängig von der eingesetzten Distribution) keine Berechtigung Daten in die genannten Verzeichnisse zu schreiben.

Viele Grüße
Danny

Klopfa10

  • Newbie
  • Beiträge: 7
Re: Update auf neue Version
« Antwort #8 am: 11.08.2016 16:07:12 »
Hallo Danny,

ja, die Berechtigungen wurden unmittelbar nach dem Update gesetzt. (Historyeintrag)

Ich habe noch einen Snapshot von vor dem Update auf OTRS 5.0.11.
Ich werde die Maschine mal auf den alten Stand zurücksetzen und nochmal alles mit Ihren Befehlen durchführen.

Ich melde mich morgen wieder...

Klopfa10

  • Newbie
  • Beiträge: 7
Re: Update auf neue Version
« Antwort #9 am: 12.08.2016 09:15:25 »
Hallo,

jetzt hat es funktioniert.

Habe den alten Stand wiederhergestellt und anschließend das Update mit den empfohlenen Befehlen durchgeführt.

Vielen Dank für die schnelle und großartige Unterstützung!

Danny Bochmann

  • Global Moderator
  • Beiträge: 442
Re: Update auf neue Version
« Antwort #10 am: 12.08.2016 09:45:17 »
Hallo Klopfa10,

vielen Dank für deine Rückmeldung.
Ich werde das Thema Aufgrund des positiven Feedbacks schließen.

Viele Grüße
Danny

Tags: